--- old/usr/src/cmd/rmformat/rmf_misc.c	2014-04-22 07:25:48.558842430 +0100
+++ new/usr/src/cmd/rmformat/rmf_misc.c	2014-04-22 07:25:48.568212525 +0100
@@ -17,11 +17,12 @@
  * information: Portions Copyright [yyyy] [name of copyright owner]
  *
  * CDDL HEADER END
- */
-
-/*
+ *
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2014 Andrew Stormont.
  */
 
 /*
@@ -87,7 +88,7 @@
  * Function prototypes.
  */
 static int		my_umount(char *mountp);
-static int		my_volrmmount(char *real_name);
+static int		my_rmmount(char *real_name);
 static int		vol_name_to_dev_node(char *vname, char *found);
 static int		vol_lookup(char *supplied, char *found);
 static device_t		*get_device(char *user_supplied, char *node);
@@ -261,7 +262,7 @@
 	 * Do a partial match with the mnttab entries.
 	 * Make sure the match is in the beginning to avoid if
 	 * anybody puts a label similiar to volume manager path names.
-	 * Then use "volrmmount -e <dev_name>" if -U flag is set.
+	 * Then use "rmmount -u <dev_name>" if -U flag is set.
 	 */
 
 	nl = strlen("/vol/dev/");
@@ -316,7 +317,7 @@
 
 	if (ret_val == 1) {
 		if (flag) {
-			if (my_volrmmount(real_name) < 0) {
+			if (my_rmmount(real_name) < 0) {
 				ret_val = -1;
 			}
 		} else {
@@ -1068,7 +1069,7 @@
 }
 
 static int
-my_volrmmount(char *real_name)
+my_rmmount(char *real_name)
 {
 	int pid, rval;
 
@@ -1089,14 +1090,14 @@
 	if (pid == 0) {
 		/* the child */
 		/* get rid of those nasty err messages */
-		DPRINTF1("call_unmount_prog: calling %s \n",
-		    "/usr/bin/volrmmount");
+		DPRINTF1("call_unmount_prog: calling %s\n",
+		    "/usr/bin/rmmount");
 
 		/* Turn on the privileges. */
 		(void) __priv_bracket(PRIV_ON);
-		if (execl("/usr/bin/volrmmount", "/usr/bin/volrmmount", "-e",
+		if (execl("/usr/bin/rmmount", "/usr/bin/rmmount", "-u",
 		    real_name, NULL) < 0) {
-			PERROR("volrmmount exec failed");
+			PERROR("rmmount exec failed");
 			/* Turn off the privileges */
 			(void) __priv_bracket(PRIV_OFF);
 			exit(-1);
@@ -1104,7 +1105,7 @@
 	} else if (waitpid(pid, &rval, 0) == pid) {
 		if (WIFEXITED(rval)) {
 			if (WEXITSTATUS(rval) == 0) {
-				DPRINTF("volrmmount: Success\n");
+				DPRINTF("rmmount: Success\n");
 				return (1);
 			}
 		}
@@ -1160,7 +1161,7 @@
 		total_devices_found++;
 
 		if ((!defer) && !found) {
-			char *sn, *tmpbuf;
+			char *sn, *tmpbuf = NULL;
 			/*
 			 * dev_name is an optional command line input.
 			 */
